# ---------------------------------------------------------------------------
# Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
# SPDX-License-Identifier: BSD-3-Clause-Clear
# ---------------------------------------------------------------------------

[Unit]
Description=Service to backup persist partition in persist_bkp partition on frequent intervals.
ConditionKernelCommandLine=|androidboot.fstab_suffix=emmc
After=persist.mount

[Service]
Restart=on-failure
ExecStart=/etc/persist-backup.sh
StandardOutput=journal+console


[Install]
WantedBy=multi-user.target

